Subject: Re: PPC4xx ECC Configs, Defines and Source

From: Stefan Roese <[email-masked]>
Date: Wed, 10 Dec 2008 10:07:16 +0100

On Wednesday 10 December 2008, Benjamin Herrenschmidt wrote:
> > Why is there a need to have so many files?  I would think you could
> > have a single file with all the ECC monitoring implementations in it
> > called ppc4xx_ecc.c (or such).  Surely they would share some amount
> > of code?
>
> Well, it depends how much they share, but I'd rather have separate files
> with helpers in ppc4xx_soc.c if it's small, that way, it's easier to
> only build selected files based on what SoC support is enabled.

ACK. The Denali core for example from 440EPx/GRx is completely different. 
Trying to fit this Denali ECC handling into the IBM-DDR(2) code would result 
in an ugly mess.

Best regards,
Stefan